org.bootchart.renderer

## Class EPSRenderer

- java.lang.Object
- - org.bootchart.renderer.Renderer
  - - org.bootchart.renderer.ImageRenderer
    - - org.bootchart.renderer.EPSRenderer

-     public class EPSRenderer
      extends ImageRenderer

  EPSRenderer renders the boot chart as an EPS (encapsulated postscript) image.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `COMPRESS_EPS` Whether to compress EPS output.

    - ### Fields inherited from class org.bootchart.renderer.ImageRenderer

      `allowAlpha, g, img`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPSRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileSuffix()` Returns the file suffix to use for the rendered image.
    `void` | `render(java.util.Properties headers, BootStats bootStats, java.io.OutputStream os)` Render the chart.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPRESS_EPS

          public static final boolean COMPRESS_EPS

      Whether to compress EPS output.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPSRenderer

          public EPSRenderer()

  - ### Method Detail

    - #### render

          public void render(java.util.Properties headers,
                             BootStats bootStats,
                             java.io.OutputStream os)
                      throws java.io.IOException

      Description copied from class: `ImageRenderer`
      Render the chart.
      Overrides:
        `render` in class `ImageRenderer`
      Parameters:
        `headers` - header properties to include in the title banner
        `bootStats` - boot statistics
        `os` - the output stream to write t
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### getFileSuffix

          public java.lang.String getFileSuffix()

      Description copied from class: `Renderer`
      Returns the file suffix to use for the rendered image.
      Specified by:
        `getFileSuffix` in class `ImageRenderer`
      Returns:
        file suffix